export class FloorInfo{

    nextFloor = 0;

    num = 0;

    floors = [];

    addFloor(startY : number, cardX){
        this.floors.push({
            startY : startY,
            cardX : cardX
        });

        this.num = this.floors.length;
    }

    getNum(){
        return this.num;
    }

    getTopFloor(){
        if(this.floors.length > 0){
            return this.floors[this.num - 1];
        }

        return null;
    }
}